glibmm 2.88.0

Static Public Member Functions | Static Public Attributes | List of all members
Glib::Traits::IsIncompleteClassType< T > Struct Template Reference

`#include <glibmm/value.h>`

## Static Public Member Functions
template<typename U>
static std::false_type | Test (int i)
template<typename U>
static std::true_type | Test (...)

## Static Public Attributes
static const bool | value = std::is_class_v<T> && decltype(Test<T>(0))::value

## Member Function Documentation

## ◆ Test() [1/2]

template <typename T>
template <typename U>

std::true_type Glib::Traits::IsIncompleteClassType< T >::Test | ( |  | ... | ) |
| static

## ◆ Test() [2/2]

template <typename T>
template <typename U>

std::false_type Glib::Traits::IsIncompleteClassType< T >::Test | ( | int | i | ) |
| static

## Member Data Documentation

## ◆ value

template <typename T>

const bool Glib::Traits::IsIncompleteClassType< T >::value = std::is_class_v<T> && decltype(Test<T>(0))::value
| static